'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class DiscountUsage extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  DiscountUsage.init({
    discountId: DataTypes.INTEGER,
    transactionId: DataTypes.INTEGER,
    customerId: DataTypes.INTEGER,
    discountAmount: DataTypes.DECIMAL,
    usedAt: DataTypes.DATE
  }, {
    sequelize,
    modelName: 'DiscountUsage',
  });
  return DiscountUsage;
};